Subject: bug#23166: 24.5; Cannot send GPG-encrypted mail to key without email

From: Andreas Schwab <[email-masked]>
Date: Thu, 31 Mar 2016 09:40:39 +0200

Arne Babenhauserheide <[email-masked]> writes:

> Hi,
>
> I am trying to send an encrypted email with mu4e using
> mml-generate-mime to a friend whose GPG key does not have an
> associated email address.
>
> I get the error ("No public key for %s" <...>).
>
> I tried adding an explicit key or name to the <#secure tag, but it does not work:
>
> < #secure method=pgpmime mode=signencrypt recipients=KEYID >
>
> How can I specify an exact key ID to use?

In 24.5, mml-generate-mime-1 uses (message-options-set
'message-recipients recipients) to set the recipients, but
mml2015-epg-encrypt expects them in the mml2015-epg-recipients option.
That appears to be fixed already in 25.1, as part of the mml2015
refactoring in commit 9e0fc61.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."